/*! Tripetto Collector 1.7.1-18 - Copyright (C) 2019 Tripetto B.V. - All Rights Reserved */

declare module "@marblecore/sha2" {
    /** Explicit exports */
    export {
        SHA2_224,
        SHA2_256,
        SHA2_384,
        SHA2_512,
        SHA2_512_224,
        SHA2_512_256
    } from "@marblecore/sha2/lib/sha2";
}

declare module "@marblecore/sha2/lib/sha2" {
    /**
     * Hashes the supplied string data using SHA2-224.
     * @param sData Specifies the data to hash.
     * @return Returns the hash string.
     */
    export function SHA2_224(sData: string): string;
    /**
     * Hashes the supplied string data using SHA2-256.
     * @param sData Specifies the data to hash.
     * @return Returns the hash string.
     */
    export function SHA2_256(sData: string): string;
    /**
     * Hashes the supplied string data using SHA2-384.
     * @param sData Specifies the data to hash.
     * @return Returns the hash string.
     */
    export function SHA2_384(sData: string): string;
    /**
     * Hashes the supplied string data using SHA2-512.
     * @param sData Specifies the data to hash.
     * @return Returns the hash string.
     */
    export function SHA2_512(sData: string): string;
    /**
     * Hashes the supplied string data using SHA2-512/224.
     * @param sData Specifies the data to hash.
     * @return Returns the hash string.
     */
    export function SHA2_512_224(sData: string): string;
    /**
     * Hashes the supplied string data using SHA2-512/256.
     * @param sData Specifies the data to hash.
     * @return Returns the hash string.
     */
    export function SHA2_512_256(sData: string): string;
}
